Bug 246424 - anaconda recognizes only ONE of bind mounts
anaconda recognizes only ONE of bind mounts
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-02 02:53 EDT by Michal Jaegermann
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-19 10:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
original fstab - attached to avoid mangling by bugzilla (1.10 KB, text/plain)
2007-07-10 12:39 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2007-07-02 02:53:16 EDT
Description of problem:

I had on a system to upgrade with three bind mounts listed in
/etc/fstab.  Anaconda found only one.  I am not sure what
criteria were used.  It was the last in fstab of the three
which was recognized.  All three lines looked the same with
obvious changes of what and where was mounted.

Maybe something else waa really responsible here?  Even
after I did two missing mounts by myself after an upgrade
I found the original fstab in /etc/fstab-hal.save (or something
like that) and a replacement had the some one bind mount
again.  Not the killer issue in the given sitation but
definitely a PITA.

Version-Release number of selected component (if applicable):
anaconda used in F7 installer

How reproducible:
Have seen that before but I was not sure if something was
not messed up in /etc/fstab.  Not this time.
Comment 1 Chris Lumens 2007-07-10 11:02:52 EDT
What did your initial fstab look like?
Comment 2 Michal Jaegermann 2007-07-10 12:39:46 EDT
Created attachment 158868 [details]
original fstab - attached to avoid mangling by bugzilla

Looking at this one more time I see that apart of the first two "bind"
lines whatever rewrote it lost also that line:

none			/tmp			tmpfs	size=350M	0 0

and that one:

/dev/hdc		/media/cdrom		auto   
pamconsole,exec,noauto,fscontext=system_u:object_r:removable_t,managed 0 0

If that is ok in the last case I would not expect for that to happen
in the remaining three situtations.

In particular gdm configuration in use requires various files from
/usr/local to be present so this was immediately visible after a reboot.
Comment 3 Chris Lumens 2007-07-19 10:49:46 EDT
This should be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.